## Apache Zeta Components Manual :: File Source for request_cookie.php

## Source for file request_cookie.php

Documentation is available at request_cookie.php

1. <?php
2. /**
3. * File containing the ezcMvcRequestCookie class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * This struct contains cookie arguments
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcRequestCookie extends ezcBaseStruct
35. {
36. /**
37. * Cookie name
38. *
39. * @var string
40. */
41. public $name ;
43. /**
44. * Cookie value
45. *
46. * @var string
47. */
48. public $value ;
50. /**
51. * Constructs a new ezcMvcRequestCookie.
52. *
53. * @param string $name
54. * @param string $value
55. */
56. public function __construct ( $name = '', $value = '' )
57. {
58. $this-> name = $name;
59. $this-> value = $value;
60. }
62. /**
63. * Returns a new instance of this class with the data specified by $array.
64. *
65. * $array contains all the data members of this class in the form:
66. * array('member_name'=>value).
67. *
68. * __set_state makes this class exportable with var_export.
69. * var_export() generates code, that calls this method when it
70. * is parsed with PHP.
71. *
72. * @param array(string=>mixed) $array
73. * @return ezcMvcResultCache
74. */
75. static public function __set_state ( array $array )
76. {
77. return new ezcMvcRequestCookie( $array['name'], $array['value'] );
78. }
79. }
80. ?>

Documentation generated by phpDocumentor 1.4.3